你的位置:首页 > 操作系统

[操作系统]Android Studio Lambda Config


  lambda虽然不能让我们应用性能更加优良,但是在代码提高整洁,方便阅读上,还是不错的选择.目前android studio对lambda的原生支持并不是很友好,可以使用第三方配置实现完美支持.配置如下:

1, 项目的build.gradle文件配置

buildscript {  dependencies {    classpath 'com.android.tools.build:gradle:2.2.0'    //引入lambda    classpath 'me.tatarka:gradle-retrolambda:3.2.5'  }}

2,module的 build.gradle文件配置(lambda需要java8环境)

apply plugin: 'me.tatarka.retrolambda'android {  compileOptions {    sourceCompatibility JavaVersion.VERSION_1_8    targetCompatibility JavaVersion.VERSION_1_8  }}

3,混淆文件配置

## deal for retrolambda ##-dontwarn java.lang.invoke.* 

  

 

怎么清除这个插入的代码块(新人表示还没用明白...)